Name:           dcfldd
Version:        1.9.3
Release:        %mkrel 1
Summary:        Improved dd, useful for forensics and security

Group:          Security
#Fedora license analysis: it applies to Mageia
#Whole dcfldd is licensed as GPLv2+
#sha1.c sha1.h BSD Type license - Allan Saddi <allan@saddi.com>
#sha2.c sha2.h BSD Type license - Aaron D. Gifford <me@aarongifford.com>
#md5.c Copyright RSA
# Note that we are using the RSA MD5 code without license.
# See: https://fedoraproject.org/wiki/Licensing:FAQ#MD5
License:        GPLv2+ and BSD and Copyright Only
URL:            https://github.com/resurrecting-open-source-projects/dcfldd
Source0:        https://github.com/resurrecting-open-source-projects/dcfldd/archive/v%{version}/%{name}-%{version}.tar.gz


%description
dcfldd is an enhanced version of GNU dd with features useful for forensics
and security. dcfldd has the following additional features:

   * Hashing on-the-fly - dcfldd can hash the input data as it is being
     transferred, helping to ensure data integrity.
   * Status output - dcfldd can update the user of its progress in terms of
     the amount of data transferred and how much longer operation will take.
   * Flexible disk wipes - dcfldd can be used to wipe disks quickly
     and with a known pattern if desired.
   * Image/wipe Verify - dcfldd can verify that a target drive is a
     bit-for-bit match of the specified input file or pattern.
   * Multiple outputs - dcfldd can output to multiple files or disks at
     the same time.
   * Split output - dcfldd can split output to multiple files with more
     configuration possibilities than the split command.
   * Piped output and logs - dcfldd can send all its log data and output
     to commands as well as files.

%prep
%autosetup

%build
./autogen.sh
%configure
%make_build

%install
%make_install


%files
%doc AUTHORS ChangeLog CONTRIBUTING.md README.md
%license COPYING
%{_bindir}/dcfldd
%{_mandir}/man1/dcfldd.1*


%changelog
* Fri Jul 18 2025 daviddavid <daviddavid> 1.9.3-1.mga10
+ Revision: 2257105
- new version: 1.9.3

* Tue May 13 2025 ns80 <ns80> 1.9.2-1.git20250102.1.mga10
+ Revision: 2183020
- update to latest git snapshot to try to fix building with GCC 15

* Sat Jun 03 2023 daviddavid <daviddavid> 1.9.1-1.mga9
+ Revision: 1960685
- new version: 1.9.1

* Fri Feb 10 2023 daviddavid <daviddavid> 1.9-1.mga9
+ Revision: 1939889
- new version: 1.9

* Mon Jan 02 2023 daviddavid <daviddavid> 1.8-2.mga9
+ Revision: 1929386
- fix dangling link: /usr/share/doc/dcfldd/README -> README.md

* Sat Nov 12 2022 daviddavid <daviddavid> 1.8-1.mga9
+ Revision: 1905963
- new version: 1.8

* Tue Mar 15 2022 umeabot <umeabot> 1.7.1-2.mga9
+ Revision: 1793774
- Mageia 9 Mass Rebuild

* Mon Jan 17 2022 mrambo3501 <mrambo3501> 1.7.1-1.mga9
+ Revision: 1768794
- version 1.7.1

* Thu Apr 29 2021 daviddavid <daviddavid> 1.7-1.mga9
+ Revision: 1720430
- new version: 1.7
- switch to fork https://github.com/resurrecting-open-source-projects/dcfldd

* Thu Feb 13 2020 umeabot <umeabot> 1.3.4.1-11.mga8
+ Revision: 1511821
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.3.4.1-10.mga7
+ Revision: 1297417
- Mageia 7 Mass Rebuild

* Tue Jun 05 2018 wally <wally> 1.3.4.1-9.mga7
+ Revision: 1234806
- fix build on aarch64
+ kekepower <kekepower>
- Use make_build

* Sat Jan 23 2016 daviddavid <daviddavid> 1.3.4.1-7.mga6
+ Revision: 926622
- switch to %%configure2_5x to fix build

* Wed Oct 15 2014 umeabot <umeabot> 1.3.4.1-6.mga5
+ Revision: 747461
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.4.1-5.mga5
+ Revision: 678693
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.3.4.1-4.mga4
+ Revision: 503799
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.3.4.1-3.mga3
+ Revision: 348668
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 malo <malo> 1.3.4.1-2.mga3
+ Revision: 310508
- update RPM group

* Mon Dec 19 2011 malo <malo> 1.3.4.1-1.mga2
+ Revision: 184296
- imported package dcfldd


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Apr 28 2010 Michal Ambroz <rebus at, seznam.cz> - 1.3.4.1-4
- fix license tag acording the license analysis done by
- terjeros@phys.ntnu.no and tcallawa@redhat.com

* Sun Apr 18 2010 Michal Ambroz <rebus at, seznam.cz> - 1.3.4.1-3
- incorporate changes as suggested by terjeros@phys.ntnu.no

* Sun Apr 11 2010 Michal Ambroz <rebus at, seznam.cz> - 1.3.4.1-2
- rebuild for Fedora 12

* Thu Nov 01 2007 Dag Wieers <dag@wieers.com> - 1.3.4.1-1 - +/
- Initial package. (using DAR)
